Subject: OSPF Q:Does an OSPF Router have to update the LS age from the LSA in DB

From: enosh levi <[email-masked]>
Date: Thu, 23 May 2002 16:49:17 +0300

Hello
The Q:
If Ospf Router gets LSA with LS age diffrent than 0 and MaxAge, Does it has
to install the LSA in the DB with the age that it got or with diffrent one
(lets say 0) ?

Thanks
Enosh

_________________________________________________________________
Send and receive Hotmail on your mobile device: http://mobile.msn.com

---

From: Don Goodspeed <[email-masked]>
Date: Thu, 23 May 2002 14:07:27 -0400

Enosh,

Section 13 of RFC2328 5) d) says to "Install the new LSA in the link state database (replacing the current database copy)."

This means copying each field "as is", including age, xsum, seq #, etc.  Setting the age to zero could cause a lack of aging in your
network, since one of the tie-breakers in sections 13.1 (deciding which LSA is newer) is differences in ages, causing the younger one
to be installed.

My 2 cents,
Don

> to install the LSA in the DB with the age that it got or with diffrent

------------------------------------------------
Join Excite! - http://www.excite.com
The most personalized portal on the Web!